# Gimp.TextLayer.set_hint_style

    @accepts(Gimp.TextLayer, Gimp.TextHintStyle)
    @returns(bool)
    def set_hint_style(self, style):
        # Python wrapper for gimp_text_layer_set_hint_style()

Control how font outlines are hinted in a text layer.

This procedure sets the hint style for font outlines in a text layer. This controls whether to fit font outlines to the pixel grid, and if so, whether to optimize for fidelity or contrast.

Since 2.8

self

  The text layer.

style

  The new hint style.

Returns